/* 
 * $Header: /home/projects/mule/scm/mule/providers/xmpp/src/java/org/mule/providers/xmpp/filters/XmppOrFilter.java,v 1.2 2005/04/14 06:06:50 rossmason Exp $
 * $Revision: 1.2 $
 * $Date: 2005/04/14 06:06:50 $
 * ------------------------------------------------------------------------------------------------------
 * 
 * Copyright (c) SymphonySoft Limited. All rights reserved.
 * http://www.symphonysoft.com
 * 
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file. 
 */
package org.mule.providers.xmpp.filters;

import org.jivesoftware.smack.filter.OrFilter;
import org.jivesoftware.smack.filter.PacketFilter;

/**
 * <code>XmppAndFilter</code> an Xmpp OR filter
 *
 * @author <a href="mailto:ross.mason@symphonysoft.com">Ross Mason</a>
 * @version $Revision: 1.2 $
 */
public class XmppOrFilter extends XmppAndFilter {
    public XmppOrFilter() {
    }

    public XmppOrFilter(PacketFilter left, PacketFilter right) {
        super(left, right);
    }

    protected PacketFilter createFilter() {
        return new OrFilter(getLeftFilter(), getRightFilter());
    }
}
