/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/transaction/constraints/ManualConstraint.java,v 1.2 2005/04/14 06:07:41 rossmason Exp $
 * $Revision: 1.2 $
 * $Date: 2005/04/14 06:07:41 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) SymphonySoft Limited. All rights reserved.
 * http://www.symphonysoft.com
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.transaction.constraints;

import org.mule.umo.UMOEvent;

/**
 * <code>ManualConstraint</code> always returns false meaning that the transaction
 * should be commited manually.
 *
 * @author <a href="mailto:ross.mason@symphonysoft.com">Ross Mason</a>
 * @version $Revision: 1.2 $
 */
public class ManualConstraint extends ConstraintFilter
{
    protected boolean accept(UMOEvent event)
    {
        return false;
    }
}
