/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/umo/UMOExceptionPayload.java,v 1.2 2005/04/14 06:08:10 rossmason Exp $
 * $Revision: 1.2 $
 * $Date: 2005/04/14 06:08:10 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) SymphonySoft Limited. All rights reserved.
 * http://www.symphonysoft.com
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.umo;

import java.util.Map;

/**
 * <code>UMOExceptionPayload</code> is a message payload that contains exception information
 * that occurred during message processing
 *
 * @author <a href="mailto:ross.mason@symphonysoft.com">Ross Mason</a>
 * @version $Revision: 1.2 $
 */
public interface UMOExceptionPayload {

    public int getCode();

    public String getMessage();

    public Map getInfo();

    public Throwable getException();
}
