/* 
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/umo/model/UMOEntryPointResolver.java,v 1.2 2005/04/14 06:08:01 rossmason Exp $
 * $Revision: 1.2 $
 * $Date: 2005/04/14 06:08:01 $
 * ------------------------------------------------------------------------------------------------------
 * 
 * Copyright (c) SymphonySoft Limited. All rights reserved.
 * http://www.symphonysoft.com
 * 
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file. 
 *
 */

package org.mule.umo.model;

import org.mule.umo.UMODescriptor;

/**
 * <code>UMOEntryPointResolver</code> resolves a method to call on the given
 * UMODescriptor when an event is recieved for the component
 *
 * @author <a href="mailto:ross.mason@symphonysoft.com">Ross Mason</a>
 * @version $Revision: 1.2 $
 */
public interface UMOEntryPointResolver
{
    public UMOEntryPoint resolveEntryPoint(UMODescriptor componentDescriptor) throws ModelException;
}
