/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/umo/routing/UMOResponseRouter.java,v 1.2 2005/04/14 06:08:09 rossmason Exp $
 * $Revision: 1.2 $
 * $Date: 2005/04/14 06:08:09 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) SymphonySoft Limited. All rights reserved.
 * http://www.symphonysoft.com
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.umo.routing;

import org.mule.umo.UMOEvent;
import org.mule.umo.UMOMessage;

/**
 * <code>UMOResponseRouter</code> is a router that handles response flow
 *
 * @author <a href="mailto:ross.mason@symphonysoft.com">Ross Mason</a>
 * @version $Revision: 1.2 $
 */

public interface UMOResponseRouter extends UMORouter
{
    public void process(UMOEvent event) throws RoutingException;

    public UMOMessage getResponse(UMOMessage message)  throws RoutingException;
}
