/* 
 * $Header: /home/projects/mule/scm/mule/mule-extras/picocontainer/src/test/java/org/mule/extras/picocontainer/PicoContainerContextTestCase.java,v 1.4 2005/04/14 06:07:03 rossmason Exp $
 * $Revision: 1.4 $
 * $Date: 2005/04/14 06:07:03 $
 * ------------------------------------------------------------------------------------------------------
 * 
 * Copyright (c) SymphonySoft Limited. All rights reserved.
 * http://www.symphonysoft.com
 * 
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file. 
 *
 */

package org.mule.extras.picocontainer;

import org.mule.tck.model.AbstractContainerContextTestCase;
import org.mule.umo.manager.UMOContainerContext;

/**
 * @author <a href="mailto:ross.mason@symphonysoft.com">Ross Mason</a>
 * @version $Revision: 1.4 $
 */
public class PicoContainerContextTestCase extends AbstractContainerContextTestCase
{

    PicoContainerContext context;

    /* (non-Javadoc)
     * @see org.mule.tck.model.AbstractComponentResolverTestCase#getConfiguredResolver()
     */
    public UMOContainerContext getContainerContext()
    {
        return context;
    }

    /* (non-Javadoc)
     * @see junit.framework.TestCase#setUp()
     */
    protected void setUp() throws Exception
    {
        super.setUp();
        context = new PicoContainerContext();
        context.setConfigFile("test-pico-config.xml");
    }
}
