/*
 * $Header: /home/projects/mule/scm/mule/providers/soap/src/test/java/org/mule/providers/soap/glue/GlueConnectorTestCase.java,v 1.2 2005/04/14 06:06:49 rossmason Exp $
 * $Revision: 1.2 $
 * $Date: 2005/04/14 06:06:49 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) SymphonySoft Limited. All rights reserved.
 * http://www.symphonysoft.com
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.providers.soap.glue;

import org.mule.tck.providers.AbstractConnectorTestCase;
import org.mule.umo.provider.UMOConnector;

/**
 * @author <a href="mailto:ross.mason@symphonysoft.com">Ross Mason</a>
 * @version $Revision: 1.2 $
 */
public class GlueConnectorTestCase extends AbstractConnectorTestCase
{

    public String getTestEndpointURI()
    {
        return "glue:http://localhost:38004/mule";
    }

    public UMOConnector getConnector() throws Exception
    {
        GlueConnector c = new GlueConnector();
        c.initialise();
        return c;
    }

    public Object getValidMessage() throws Exception
    {
        return "Test Message";
    }
}
