/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/components/simple/EchoComponent.java,v 1.2 2005/04/14 06:07:27 rossmason Exp $
 * $Revision: 1.2 $
 * $Date: 2005/04/14 06:07:27 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) SymphonySoft Limited. All rights reserved.
 * http://www.symphonysoft.com
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.components.simple;

import org.mule.umo.UMOEventContext;

/**
 * <code>EchoComponent</code> will log the message and return the payload back
 * as the result
 *
 * @author <a href="mailto:ross.mason@symphonysoft.com">Ross Mason</a>
 * @version $Revision: 1.2 $
 */
public class EchoComponent extends LogComponent implements EchoService
{
    public Object onCall(UMOEventContext context) throws Exception
    {
        super.onCall(context);
        return context.getTransformedMessage();
    }

    public String echo(String echo)
    {
        return echo;
    }
}
