/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/config/ConfigurationException.java,v 1.3 2005/04/14 06:07:33 rossmason Exp $ 
 * $Revision: 1.3 $ 
 * $Date: 2005/04/14 06:07:33 $
 * ------------------------------------------------------------------------------------------------------
 * 
 * Copyright (c) SymphonySoft Limited. All rights reserved. http://www.symphonysoft.com
 *
 * The software in this package is published under the terms of the BSD style
 * license a copy of which has been included with this distribution in the
 * LICENSE.txt file.
 *  
 */

package org.mule.config;

import org.mule.MuleException;
import org.mule.config.i18n.Message;

/**
 * <code>ConfigurationException</code> TODO (document class)
 * 
 * @author <a href="mailto:ross.mason@symphonysoft.com">Ross Mason</a>
 * @version $Revision: 1.3 $
 */
public class ConfigurationException extends MuleException
{
    public ConfigurationException(Message message) {
        super(message);
    }

    public ConfigurationException(Message message, Throwable cause) {
        super(message, cause);
    }

    public ConfigurationException(Throwable cause) {
        super(cause);
    }
}