/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/impl/internal/events/BlockingServerEvent.java,v 1.3 2005/04/14 06:07:34 rossmason Exp $
 * $Revision: 1.3 $
 * $Date: 2005/04/14 06:07:34 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) SymphonySoft Limited. All rights reserved.
 * http://www.symphonysoft.com
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.impl.internal.events;

/**
 * <code>BlockingServerEvent</code> is a marker interface that tells the server event manager
 * to publish this event in the current thread, thus blocking the current thread of execution
 * until all listeners have been processed
 *
 * @author <a href="mailto:ross.mason@symphonysoft.com">Ross Mason</a>
 * @version $Revision: 1.3 $
 */

public interface BlockingServerEvent
{
}
