/*
 * $Header: /home/projects/mule/scm/mule/providers/file/src/java/org/mule/providers/file/FilenameParser.java,v 1.2 2005/04/14 06:07:01 rossmason Exp $
 * $Revision: 1.2 $
 * $Date: 2005/04/14 06:07:01 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) SymphonySoft Limited. All rights reserved.
 * http://www.symphonysoft.com
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.providers.file;

import org.mule.umo.UMOEvent;

/**
 * <code>FilenameParser</code> is a simple expression parser interface for processing
 * filenames
 *
 * @author <a href="mailto:ross.mason@symphonysoft.com">Ross Mason</a>
 * @version $Revision: 1.2 $
 */
public interface FilenameParser
{
    public String getFilename(UMOEvent event, String pattern);
}
