/* 
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/umo/manager/ContainerException.java,v 1.2 2005/04/14 06:08:01 rossmason Exp $
 * $Revision: 1.2 $
 * $Date: 2005/04/14 06:08:01 $
 * ------------------------------------------------------------------------------------------------------
 * 
 * Copyright (c) SymphonySoft Limited. All rights reserved.
 * http://www.symphonysoft.com
 * 
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file. 
 *
 */
package org.mule.umo.manager;

import org.mule.config.i18n.Message;

/**
 * <code>ContainerException</code> is an Exception thrown by the
 * component resolver when it fials to find a component
 *
 * @author <a href="mailto:ross.mason@symphonysoft.com">Ross Mason</a>
 * @version $Revision: 1.2 $
 */
public class ContainerException extends ManagerException
{

    /**
     * @param message the exception message
     */
    public ContainerException(Message message)
    {
        super(message);
    }

    /**
     * @param message the exception message
     * @param cause   the exception that cause this exception to be thrown
     */
    public ContainerException(Message message, Throwable cause)
    {
        super(message, cause);
    }

}
