/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/umo/manager/UMOServerEventListener.java,v 1.2 2005/04/14 06:08:01 rossmason Exp $
 * $Revision: 1.2 $
 * $Date: 2005/04/14 06:08:01 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) SymphonySoft Limited. All rights reserved.
 * http://www.symphonysoft.com
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.umo.manager;



/**
 * <code>UMOServerEventListener</code> is an observer interface that ojects can implement
 * and register themselves with the Mule Server to receive notifications when the sevrver,
 * model and components stop, start, initilise, etc.
 *
 * @author <a href="mailto:ross.mason@symphonysoft.com">Ross Mason</a>
 * @version $Revision: 1.2 $
 */
public interface UMOServerEventListener
{
    public void onEvent(UMOServerEvent event);
}
