/*
 * $Header: /home/projects/mule/scm/mule/providers/stream/src/test/java/org/mule/providers/stream/StreamMessageAdapterTestCase.java,v 1.2 2005/04/14 06:06:52 rossmason Exp $
 * $Revision: 1.2 $
 * $Date: 2005/04/14 06:06:52 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) SymphonySoft Limited. All rights reserved.
 * http://www.symphonysoft.com
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 *
 */

package org.mule.providers.stream;

import org.mule.tck.providers.AbstractMessageAdapterTestCase;
import org.mule.umo.provider.MessageTypeNotSupportedException;
import org.mule.umo.provider.UMOMessageAdapter;

/**
 * <code>StreamMEssageAdapterTestCase</code> TODO (document class)
 *
 * @author <a href="mailto:ross.mason@symphonysoft.com">Ross Mason</a>
 * @version $Revision: 1.2 $
 */
public class StreamMessageAdapterTestCase extends AbstractMessageAdapterTestCase
{

    /* (non-Javadoc)
     * @see org.mule.tck.providers.AbstractMessageAdapterTestCase#createAdapter()
     */
    public UMOMessageAdapter createAdapter(Object payload) throws MessageTypeNotSupportedException
    {
        return new StreamMessageAdapter(payload.toString());
    }

    /* (non-Javadoc)
     * @see org.mule.tck.providers.AbstractMessageAdapterTestCase#getValidMessage()
     */
    public Object getValidMessage()
    {
        return "TestMessage";
    }

    /* (non-Javadoc)
     * @see org.mule.tck.providers.AbstractMessageAdapterTestCase#getInvalidMessage()
     */
    public Object getInvalidMessage()
    {
        return null;
    }
}
